org.apache.ivy.core.pack

## Class PackingRegistry

- java.lang.Object
- - org.apache.ivy.core.pack.PackingRegistry

    public class PackingRegistry
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PackingRegistry()`

### Method Summary

Methods
`ArchivePacking` `get(java.lang.String type)`
`void` `register(ArchivePacking packing)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackingRegistry

    public PackingRegistry()

### Method Detail

#### register

    public void register(ArchivePacking packing)

#### get

    public ArchivePacking get(java.lang.String type)